# Class ChainDisplayComponent

#### Hierarchy

- Component<ChainDisplayInterface, ChainDisplayState>
  - ChainDisplayComponent

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvComponents/ChainDisplayComponent.tsx:16

#####
Index

### Constructors

constructor

### Properties

state
subscription

### Methods

changeDisplay
componentDidMount
componentInfo
componentWillUnmount
render
requestInfo
subscribe

## Constructors

### constructor

- new ChainDisplayComponent(props): ChainDisplayComponent

- #### Parameters

  - ##### props: ChainDisplayInterface | Readonly<ChainDisplayInterface>

  #### Returns ChainDisplayComponent

  Inherited from React.Component<ChainDisplayInterface, ChainDisplayState>.constructor

  - Defined in node_modules/@types/react/index.d.ts:519
- new ChainDisplayComponent(props, context): ChainDisplayComponent

- #### Parameters

  - ##### props: ChainDisplayInterface

  - ##### context: any

  #### Returns ChainDisplayComponent

  #### Deprecated

  #### See

  https://legacy.reactjs.org/docs/legacy-context.html

  Inherited from React.Component<ChainDisplayInterface, ChainDisplayState>.constructor

  - Defined in node_modules/@types/react/index.d.ts:524

## Properties

### `Readonly` state

state: ChainDisplayState = ...

Overrides React.Component.state

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvComponents/ChainDisplayComponent.tsx:18

### `Private` subscription

subscription: Subscription

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvComponents/ChainDisplayComponent.tsx:22

## Methods

### `Private` changeDisplay

- changeDisplay(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvComponents/ChainDisplayComponent.tsx:46

### componentDidMount

- componentDidMount(): void

- #### Returns void

  Overrides React.Component.componentDidMount

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvComponents/ChainDisplayComponent.tsx:30

### `Private` componentInfo

- componentInfo(data): void

- #### Parameters

  - ##### data: ChainDisplayState & {
    label: string;
    }

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvComponents/ChainDisplayComponent.tsx:60

### componentWillUnmount

- componentWillUnmount(): void

- #### Returns void

  Overrides React.Component.componentWillUnmount

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvComponents/ChainDisplayComponent.tsx:35

### render

- render(): ReactElement<any, string | JSXElementConstructor<any>>

- #### Returns ReactElement<any, string | JSXElementConstructor<any>>

  Overrides React.Component.render

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvComponents/ChainDisplayComponent.tsx:24

### `Private` requestInfo

- requestInfo(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvComponents/ChainDisplayComponent.tsx:65

### `Private` subscribe

- subscribe(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvComponents/ChainDisplayComponent.tsx:39

Generated using TypeDoc